#!/bin/bash
set -e

STORM2_BUILD_IMAGE=${STORM2_BUILD_IMAGE:-storm2/build:latest}

BUILD_ARGS="--rm -t ${STORM2_BUILD_IMAGE}"

if [ -n "${BUILD_USER}" ]; then
  BUILD_ARGS="${BUILD_ARGS} --build-arg BUILD_USER=${BUILD_USER}"
fi

if [ -n "${BUILD_USER_UID}" ]; then
  BUILD_ARGS="${BUILD_ARGS} --build-arg BUILD_USER_UID=${BUILD_USER_UID}"
fi

docker build ${BUILD_ARGS} .
