# StoRM 2 build environment docker images

This folder contains the Dockerfile for StoRM 2 build environment,
supporting C++ and Java development.

## Building the image

```bash
sh build-image.sh
```

The build user name and uid can be customized for the build image by setting 
the BUILD\_USER and BUILD\_USER\_ID environment variable and then running the
`build-image.sh` script, as follows:

```bash
BUILD_USER=cecco BUILD_USER_ID=501 sh build-image.sh
```

## Using the image

```bash
docker run -ti storm2/build
```

The build user is a sudoer, so you can get root privileges with `sudo su -`.
